<template lang="html">
  <flex dir="row" class="pagination" v-show="enabled">
    <span v-show="pageRange">Showing {{page.start}} - {{page.end}} of {{page.total}} entries</span>
    <flex dir="row">
      <butter-button @click.native="!firstPage && $emit('paginate',pages.prev || 'prev')" theme="teritary" size="ui" :disabled="firstPage" class="arrow"><butter-icon name="arrow-left" width="11" height="8" /></butter-button>
      <butter-button @click.native="!lastPage && $emit('paginate',pages.next || 'next')" theme="teritary" size="ui" :disabled="lastPage" class="arrow"><butter-icon name="arrow-right" width="11" height="8" /></butter-button>
    </flex>
  </flex>
</template>

<script>
export default {
  props: {
    page: {
      default() {
        return {}
      },
      type: Object
    },
    pages: {
      default() {
        return {}
      },
      type: Object
    }
  },
  computed: {
    pageRange() {
      return typeof this.page.start === 'number' && typeof this.page.end === 'number'
    },
    enabled() {
      return this.pageRange || (this.pages.prev || this.pages.next)
    },
    firstPage() {
      if (this.pageRange) {
        return parseInt(this.page.start) === 1
      }
      return parseInt(this.pages.prev) < 0
    },
    lastPage() {
      if (this.pageRange) {
        return parseInt(this.page.end) === parseInt(this.page.total)
      }
      return typeof this.pages.next === 'undefined'
    }
  }
}
</script>

<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';
.pagination {
  justify-content: space-between;
  align-items: center;
  margin-top: $grid*3;
}
span {
  @include themify($themes) {
    color: themed('color-text-tertiary');
  }
  @include font(14px,24px,$font-sans);
}

.arrow {
  margin: 0 $grid/2;
}

</style>
